%define anolis_release 2
%define debug_package %{nil}

Name:           devscripts
Version:        2.23.7
Release:        %{anolis_release}%{?dist}
Summary:        Scripts for Debian Package maintainers

License:        GPL-2.0-or-later
URL:            https://packages.debian.org/sid/%{name}
Source0: 	http://ftp.debian.org/debian/pool/main/d/devscripts/devscripts_%{version}.tar.xz
# Fixes path to xsl-stylesheet manpages docbook.xsl
Patch0:         devscripts_docbook.patch
# Removes the debian-only --install-layout python-setuptools option
Patch1:         devscripts_install-layout.patch
# Install some additional man pages
Patch2:         devscripts_install-man.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DB_File)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Dpkg::Changelog::Debian)
BuildRequires:  perl(Dpkg::Changelog::Parse)
BuildRequires:  perl(Dpkg::Control)
BuildRequires:  perl(Dpkg::Control::Hash)
BuildRequires:  perl(Dpkg::Vendor)
BuildRequires:  perl(Dpkg::Version)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Encode::Locale)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(feature)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::DesktopEntry)
BuildRequires:  perl(File::DirList)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(filetest)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Git::Wrapper)
BuildRequires:  perl(IO::Dir)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Run)
BuildRequires:  perl(JSON::PP)
BuildRequires:  perl(List::Compare)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Net::SMTP)
BuildRequires:  perl(open)
BuildRequires:  perl(Parse::DebControl)
BuildRequires:  perl(Pod::Checker)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Text::ParseWords)
BuildRequires:  perl(Text::Wrap)
BuildRequires:  perl(URI) >= 1.37
BuildRequires:  perl(URI::QueryParam)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)

BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt
BuildRequires:  po4a
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  /usr/bin/dpkg-buildflags
BuildRequires:  /usr/bin/dpkg-vendor
BuildRequires:  /usr/bin/dpkg-parsechangelog
BuildRequires:  /usr/bin/help2man
BuildRequires:  pkgconfig(bash-completion)

Requires:       dpkg-dev
Requires:       sensible-utils
# man for manpage-alert
Requires:       %{_bindir}/man

Requires:       %{name}-checkbashisms

%description
Scripts to make the life of a Debian Package maintainer easier.

%package checkbashisms
Summary:        Devscripts checkbashisms script

%description checkbashisms
This package contains the devscripts checkbashisms script.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}


%build
/usr/bin/make -O -j8 V=1 VERBOSE=1

%install
%make_install

# Install docs through %%doc
rm -rf %{buildroot}%{_datadir}/doc
rm %{buildroot}%{_bindir}/archpath %{buildroot}%{_mandir}/man1/archpath*
rm %{buildroot}%{_bindir}/whodepends %{buildroot}%{_mandir}/man1/whodepends*

# Create symlinks like the debian package does
ln -s %{_bindir}/cvs-debi      %{buildroot}%{_bindir}/cvs-debc
ln -s %{_bindir}/debchange     %{buildroot}%{_bindir}/dch
ln -s %{_bindir}/pts-subscribe %{buildroot}%{_bindir}/pts-unsubscribe
ln -s %{_mandir}/man1/debchange.1.gz     %{buildroot}%{_mandir}/man1/dch.1.gz
ln -s %{_mandir}/man1/pts-subscribe.1.gz %{buildroot}%{_mandir}/man1/pts-unsubscribe.1.gz

rm -f %{buildroot}%{_datadir}/bash-completion/completions/bts

%generate_compatibility_deps

%files
%license COPYING
%{_datadir}/bash-completion
%{_bindir}/*
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}*.egg-info/
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{perl_vendorlib}/Devscripts
%exclude %{_bindir}/checkbashisms
%exclude %{_mandir}/man1/checkbashisms.1*
%exclude %{_datadir}/bash-completion/completions/checkbashisms
%dir %{abidir}
%{abidir}/*-option.list
%exclude %{abidir}/checkbashisms-option.list

%files checkbashisms
%{_bindir}/checkbashisms
%{_mandir}/man1/checkbashisms.1*
%{_mandir}/man5/devscripts.conf.5*
%{_datadir}/bash-completion/completions/checkbashisms
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{abidir}/checkbashisms-option.list

%files doc
%doc README

%changelog
* Mon Mar 11 2024 Bo Ren <rb01097748@alibaba-inc.com> - 2.23.7-2
- Rebuild with python3.11

* Wed Dec 27 2023 happy_orange <songnannan@linux.alibaba.com> - 2.23.7-1
- update to 2.23.7

* Thu Mar 16 2023 happy_orange <songnannan@linux.alibaba.com> - 2.23.3-1
- init package
